Bug 1009076 - Many warnings about unused results on recent Fedora Linux with current git head
Many warnings about unused results on recent Fedora Linux with current git head
Status: MODIFIED
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
mainline
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Lalatendu Mohanty
: EasyFix, Tracking
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 11:19 EDT by Justin Clift
Modified: 2016-02-17 19:25 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Clift 2013-09-17 11:19:41 EDT
Description of problem:

  When compiling on F19, there are many warnings about "warning: ignoring
  return value of 'XXXXXX', declared with attribute warn_unused_result".

  Low priority, but we should probably ensure our code compiles with no
  warnings.


Version-Release number of selected component (if applicable):

  Upstream GlusterFS git head, master branch, as of Tue 17th Sept 2013.


How reproducible:

  Every time.


Steps to Reproduce:
1. Compile GlusterFS using the official upstream Compiling RPMs instructions.
2. The warnings appear for the "make glusterrpms" step.

Actual results:

************************************************************
...
Making all in src
  CC       libglusterfs_la-dict.lo
  CC       libglusterfs_la-xlator.lo
  CC       libglusterfs_la-logging.lo
  CC       libglusterfs_la-hashfn.lo
  CC       libglusterfs_la-defaults.lo
  CC       libglusterfs_la-common-utils.lo
  CC       libglusterfs_la-timer.lo
  CC       libglusterfs_la-inode.lo
  CC       libglusterfs_la-call-stub.lo
  CC       libglusterfs_la-compat.lo
  CC       libglusterfs_la-fd.lo
logging.c: In function 'gf_syslog':
logging.c:290:27: warning: ignoring return value of 'vasprintf', declared with attribute warn_unused_result [-Wunused-result]
                 vasprintf (&msg, format, ap);
                           ^
logging.c: In function '_gf_log_callingfn':
logging.c:637:27: warning: ignoring return value of 'vasprintf', declared with attribute warn_unused_result [-Wunused-result]
                 vasprintf (&str2, fmt, ap);
                           ^
logging.c: In function '_gf_log':
logging.c:774:27: warning: ignoring return value of 'vasprintf', declared with attribute warn_unused_result [-Wunused-result]
                 vasprintf (&str2, fmt, ap);
                           ^
  CC       libglusterfs_la-compat-errno.lo
  CC       libglusterfs_la-event.lo
  CC       libglusterfs_la-mem-pool.lo
  CC       libglusterfs_la-gf-dirent.lo
  CC       libglusterfs_la-syscall.lo
  CC       libglusterfs_la-iobuf.lo
  CC       libglusterfs_la-globals.lo
  CC       libglusterfs_la-statedump.lo
  CC       libglusterfs_la-stack.lo
  CC       libglusterfs_la-checksum.lo
  CC       libglusterfs_la-daemon.lo
  CC       libglusterfs_la-rb.lo
  CC       libglusterfs_la-rbthash.lo
  CC       libglusterfs_la-store.lo
  CC       libglusterfs_la-latency.lo
  CC       libglusterfs_la-graph.lo
store.c: In function 'gf_store_unlock':
store.c:682:15: warning: ignoring return value of 'lockf', declared with attribute warn_unused_result [-Wunused-result]
         lockf (sh->fd, F_ULOCK, 0);
               ^
  CC       libglusterfs_la-clear.lo
  CC       libglusterfs_la-copy.lo
  CC       libglusterfs_la-gen_uuid.lo
  CC       libglusterfs_la-pack.lo
  CC       libglusterfs_la-unparse.lo
  CC       libglusterfs_la-uuid_time.lo
  CC       libglusterfs_la-parse.lo
  CC       libglusterfs_la-compare.lo
  CC       libglusterfs_la-isnull.lo
  CC       libglusterfs_la-unpack.lo
  CC       libglusterfs_la-syncop.lo
  CC       libglusterfs_la-graph-print.lo
  CC       libglusterfs_la-trie.lo
  CC       libglusterfs_la-run.lo
  CC       libglusterfs_la-options.lo
  CC       libglusterfs_la-fd-lk.lo
  CC       libglusterfs_la-circ-buff.lo
  CC       libglusterfs_la-gidcache.lo
  CC       libglusterfs_la-event-history.lo
  CC       libglusterfs_la-ctx.lo
  CC       libglusterfs_la-client_t.lo
  CC       libglusterfs_la-lock-table.lo
  CC       libglusterfs_la-basename_r.lo
  CC       libglusterfs_la-dirname_r.lo
  CC       libglusterfs_la-gf_mkostemp.lo
  CC       libglusterfs_la-event-poll.lo
  CC       libglusterfs_la-event-epoll.lo
  CC       libglusterfs_la-y.tab.lo
  CC       libglusterfs_la-graph.lex.lo
  CCLD     libglusterfs.la
Making all in rpc
Making all in rpc-lib
Making all in src
  CC       auth-unix.lo
  CC       rpcsvc-auth.lo
  CC       rpcsvc.lo
  CC       auth-null.lo
  CC       xdr-rpc.lo
  CC       xdr-rpcclnt.lo
  CC       rpc-transport.lo
  CC       rpc-clnt.lo
  CC       auth-glusterfs.lo
  CC       rpc-drc.lo
  CCLD     libgfrpc.la
Making all in rpc-transport
Making all in socket
Making all in src
  CC       socket.lo
  CC       name.lo
  CCLD     socket.la
Making all in rdma
Making all in src
  CC       rdma.lo
  CC       name.lo
  CCLD     rdma.la
Making all in xdr
Making all in src
  CC       libgfxdr_la-xdr-generic.lo
  CC       libgfxdr_la-rpc-common-xdr.lo
  CC       libgfxdr_la-glusterfs3-xdr.lo
  CC       libgfxdr_la-cli1-xdr.lo
  CC       libgfxdr_la-glusterd1-xdr.lo
  CC       libgfxdr_la-portmap-xdr.lo
  CC       libgfxdr_la-xdr-nfs3.lo
  CC       libgfxdr_la-nlm4-xdr.lo
  CC       libgfxdr_la-msg-nfs3.lo
  CC       libgfxdr_la-nsm-xdr.lo
  CC       libgfxdr_la-nlmcbk-xdr.lo
  CC       libgfxdr_la-acl3-xdr.lo
  CCLD     libgfxdr.la
Making all in api
Making all in src
  CC       libgfapi_la-glfs.lo
  CC       libgfapi_la-glfs-mgmt.lo
  CC       libgfapi_la-glfs-fops.lo
  CC       libgfapi_la-glfs-resolve.lo
  CC       glfs-master.lo
  CCLD     libgfapi.la
  CCLD     api.la
Making all in xlators
Making all in cluster
Making all in stripe
Making all in src
  CC       stripe.lo
  CC       stripe-helpers.lo
  CC       libxlator.lo
  CCLD     stripe.la
Making all in afr
Making all in src
  CC       afr-dir-read.lo
  CC       afr-dir-write.lo
  CC       afr-inode-read.lo
  CC       afr-inode-write.lo
  CC       afr-open.lo
  CC       afr-transaction.lo
  CC       afr-self-heal-data.lo
  CC       afr-self-heal-common.lo
  CC       afr-self-heal-metadata.lo
  CC       afr-self-heal-entry.lo
  CC       afr-self-heal-algorithm.lo
  CC       afr-lk-common.lo
  CC       afr-self-heald.lo
  CC       libxlator.lo
  CC       afr.lo
  CC       pump.lo
  CCLD     afr.la
  CCLD     pump.la
Making all in dht
Making all in src
  CC       dht-layout.lo
  CC       dht-helper.lo
  CC       dht-linkfile.lo
  CC       dht-rebalance.lo
  CC       dht-selfheal.lo
  CC       dht-rename.lo
  CC       dht-hashfn.lo
  CC       dht-diskusage.lo
  CC       dht-common.lo
  CC       dht-inode-write.lo
  CC       dht-inode-read.lo
  CC       dht-shared.lo
  CC       libxlator.lo
  CC       dht.lo
  CC       nufa.lo
  CC       switch.lo
  CCLD     nufa.la
  CCLD     dht.la
  CCLD     switch.la
Making all in storage
Making all in posix
Making all in src
  CC       posix.lo
  CC       posix-helpers.lo
  CC       posix-handle.lo
  CC       posix-aio.lo
  CCLD     posix.la
Making all in bd_map
Making all in src
  CC       bd_map.lo
  CC       bd_map_help.lo
  CCLD     bd_map.la
Making all in protocol
Making all in auth
Making all in addr
Making all in src
  CC       addr.lo
  CCLD     addr.la
Making all in login
Making all in src
  CC       login.lo
  CCLD     login.la
Making all in client
Making all in src
  CC       client.lo
  CC       client-helpers.lo
  CC       client-rpc-fops.lo
  CC       client-handshake.lo
  CC       client-callback.lo
  CC       client-lk.lo
  CCLD     client.la
Making all in server
Making all in src
  CC       server.lo
  CC       server-resolve.lo
  CC       server-helpers.lo
  CC       server-rpc-fops.lo
  CC       server-handshake.lo
  CC       authenticate.lo
  CCLD     server.la
Making all in performance
Making all in write-behind
Making all in src
  CC       write-behind.lo
  CCLD     write-behind.la
Making all in read-ahead
Making all in src
  CC       read-ahead.lo
  CC       page.lo
  CCLD     read-ahead.la
Making all in readdir-ahead
Making all in src
  CC       readdir-ahead.lo
  CCLD     readdir-ahead.la
Making all in io-threads
Making all in src
  CC       io-threads.lo
  CCLD     io-threads.la
Making all in io-cache
Making all in src
  CC       io-cache.lo
  CC       page.lo
  CC       ioc-inode.lo
  CCLD     io-cache.la
Making all in symlink-cache
Making all in src
  CC       symlink-cache.lo
  CCLD     symlink-cache.la
Making all in quick-read
Making all in src
  CC       quick-read.lo
  CCLD     quick-read.la
Making all in md-cache
Making all in src
  CC       md-cache.lo
  CCLD     md-cache.la
Making all in open-behind
Making all in src
  CC       open-behind.lo
  CCLD     open-behind.la
Making all in debug
Making all in trace
Making all in src
  CC       trace.lo
  CCLD     trace.la
Making all in error-gen
Making all in src
  CC       error-gen.lo
  CCLD     error-gen.la
Making all in io-stats
Making all in src
  CC       io-stats.lo
  CCLD     io-stats.la
Making all in features
Making all in locks
Making all in src
  CC       common.lo
  CC       posix.lo
  CC       entrylk.lo
  CC       inodelk.lo
  CC       reservelk.lo
  CC       clear.lo
  CCLD     locks.la
Making all in quota
Making all in src
  CC       quota.lo
  CCLD     quota.la
Making all in read-only
Making all in src
  CC       read-only.lo
  CC       read-only-common.lo
  CC       worm.lo
  CCLD     read-only.la
  CCLD     worm.la
Making all in mac-compat
Making all in src
  CC       mac-compat.lo
  CCLD     mac-compat.la
Making all in quiesce
Making all in src
  CC       quiesce.lo
  CCLD     quiesce.la
Making all in marker
Making all in src
  CC       marker-quota.lo
  CC       marker.lo
  CC       marker-quota-helper.lo
  CC       marker-common.lo
  CCLD     marker.la
Making all in index
Making all in src
  CC       index.lo
  CCLD     index.la
Making all in protect
Making all in src
  CC       prot_dht.lo
  CC       prot_client.lo
  CC       prot_server.lo
  CCLD     prot_dht.la
  CCLD     prot_server.la
  CCLD     prot_client.la
Making all in changelog
Making all in src
  CC       changelog.lo
  CC       changelog-rt.lo
  CC       changelog-helpers.lo
  CC       changelog-encoders.lo
  CC       changelog-notifier.lo
  CCLD     changelog.la
Making all in lib
Making all in src
  CC       libgfchangelog_la-gf-changelog.lo
  CC       libgfchangelog_la-gf-changelog-process.lo
  CC       libgfchangelog_la-gf-changelog-helpers.lo
  CC       libgfchangelog_la-clear.lo
  CC       libgfchangelog_la-copy.lo
  CC       libgfchangelog_la-gen_uuid.lo
  CC       libgfchangelog_la-pack.lo
  CC       libgfchangelog_la-parse.lo
  CC       libgfchangelog_la-unparse.lo
  CC       libgfchangelog_la-uuid_time.lo
  CC       libgfchangelog_la-compare.lo
  CC       libgfchangelog_la-isnull.lo
  CC       libgfchangelog_la-unpack.lo
  CCLD     libgfchangelog.la
Making all in gfid-access
Making all in src
  CC       gfid-access.lo
  CCLD     gfid-access.la
Making all in glupy
Making all in src
  CC       glupy.lo
  CCLD     glupy.la
Making all in qemu-block
Making all in src
  CC       qemu-coroutine.lo
  CC       qemu-coroutine-lock.lo
  CC       qemu-coroutine-sleep.lo
  CC       block.lo
  CC       nop-symbols.lo
  CC       aes.lo
  CC       bitmap.lo
  CC       bitops.lo
  CC       cutils.lo
  CC       error.lo
  CC       hbitmap.lo
  CC       iov.lo
  CC       module.lo
  CC       oslib-posix.lo
  CC       qemu-option.lo
  CC       qemu-error.lo
  CC       qemu-thread-posix.lo
  CC       unicode.lo
  CC       hexdump.lo
  CC       snapshot.lo
  CC       qcow2-cache.lo
  CC       qcow2-cluster.lo
  CC       qcow2-refcount.lo
  CC       qcow2-snapshot.lo
  CC       qcow2.lo
  CC       qed-check.lo
  CC       qed-cluster.lo
  CC       qed-gencb.lo
  CC       qed-l2-cache.lo
  CC       qed-table.lo
  CC       qed.lo
  CC       json-lexer.lo
  CC       json-parser.lo
  CC       json-streamer.lo
  CC       qbool.lo
  CC       qdict.lo
  CC       qerror.lo
  CC       qfloat.lo
  CC       qint.lo
  CC       qjson.lo
  CC       qlist.lo
  CC       qstring.lo
  CC       bdrv-xlator.lo
  CC       coroutine-synctask.lo
  CC       bh-syncop.lo
  CC       monitor-logging.lo
  CC       clock-timer.lo
  CC       qemu-block.lo
  CC       qb-coroutines.lo
  CCLD     qemu-block.la
Making all in encryption
Making all in rot-13
Making all in src
  CC       rot-13.lo
  CCLD     rot-13.la
Making all in mount
Making all in fuse
Making all in src
  CC       fuse-helpers.lo
  CC       fuse-resolve.lo
  CC       fuse-bridge.lo
  CC       misc.lo
  CC       mount.lo
  CC       mount-common.lo
../../../../contrib/fuse-lib/mount-common.c: In function 'fuse_mnt_add_mount':
../../../../contrib/fuse-lib/mount-common.c:108:24: warning: ignoring return value of 'setuid', declared with attribute warn_unused_result [-Wunused-result]
                 setuid (geteuid ());
                        ^
../../../../contrib/fuse-lib/mount-common.c: In function 'mtab_needs_update':
../../../../contrib/fuse-lib/mount-common.c:59:34: warning: ignoring return value of 'setreuid', declared with attribute warn_unused_result [-Wunused-result]
                         setreuid (0, -1);
                                  ^
../../../../contrib/fuse-lib/mount-common.c:64:34: warning: ignoring return value of 'setreuid', declared with attribute warn_unused_result [-Wunused-result]
                         setreuid (ruid, -1);
                                  ^
../../../../contrib/fuse-lib/mount-common.c: In function 'fuse_mnt_umount':
../../../../contrib/fuse-lib/mount-common.c:248:24: warning: ignoring return value of 'setuid', declared with attribute warn_unused_result [-Wunused-result]
                 setuid (geteuid ());
                        ^
../../../../contrib/fuse-lib/mount.c: In function 'gf_fuse_mount':
../../../../contrib/fuse-lib/mount.c:301:25: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
                         (void)write (status_fd, &ret, sizeof (ret));
                         ^
  CCLD     fuse.la
Making all in utils
Making all in nfs
Making all in server
Making all in src
  CC       nfs.lo
  CC       nfs-common.lo
  CC       nfs-fops.lo
  CC       nfs-inodes.lo
  CC       nfs-generics.lo
  CC       mount3.lo
  CC       nfs3-fh.lo
  CC       nfs3.lo
  CC       nfs3-helpers.lo
  CC       nlm4.lo
  CC       nlmcbk_svc.lo
  CC       mount3udp_svc.lo
  CC       acl3.lo
  CCLD     server.la
Making all in mgmt
Making all in glusterd
Making all in src
  CC       glusterd_la-glusterd.lo
  CC       glusterd_la-glusterd-handler.lo
  CC       glusterd_la-glusterd-sm.lo
  CC       glusterd_la-glusterd-op-sm.lo
  CC       glusterd_la-glusterd-utils.lo
  CC       glusterd_la-glusterd-rpc-ops.lo
  CC       glusterd_la-glusterd-store.lo
  CC       glusterd_la-glusterd-handshake.lo
  CC       glusterd_la-glusterd-pmap.lo
  CC       glusterd_la-glusterd-volgen.lo
  CC       glusterd_la-glusterd-rebalance.lo
  CC       glusterd_la-glusterd-quota.lo
  CC       glusterd_la-glusterd-geo-rep.lo
  CC       glusterd_la-glusterd-replace-brick.lo
  CC       glusterd_la-glusterd-log-ops.lo
  CC       glusterd_la-glusterd-volume-ops.lo
  CC       glusterd_la-glusterd-brick-ops.lo
  CC       glusterd_la-glusterd-mountbroker.lo
  CC       glusterd_la-glusterd-syncop.lo
  CC       glusterd_la-glusterd-hooks.lo
  CC       glusterd_la-glusterd-volume-set.lo
  CCLD     glusterd.la
Making all in system
Making all in posix-acl
Making all in src
  CC       posix-acl.lo
  CC       posix-acl-xattr.lo
  CCLD     posix-acl.la
Making all in playground
Making all in template
Making all in src
  CC       template.lo
  CCLD     template.la
Making all in glusterfsd
Making all in src
  CC       glusterfsd.o
  CC       glusterfsd-mgmt.o
glusterfsd.c: In function 'emancipate':
glusterfsd.c:1145:23: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
                 write (ctx->daemon_pipe[1], (void *) &ret, sizeof (ret));
                       ^
glusterfsd.c: In function 'daemonize':
glusterfsd.c:1823:22: warning: ignoring return value of 'read', declared with attribute warn_unused_result [-Wunused-result]
                 read (ctx->daemon_pipe[0], (void *)&err, sizeof (err));
                      ^
  CCLD     glusterfsd
Making all in contrib/fuse-util
  CC       fusermount.o
  CC       mount_util.o
  CC       mount-common.o
../../contrib/fuse-lib/mount-common.c: In function 'fuse_mnt_add_mount':
../../contrib/fuse-lib/mount-common.c:108:24: warning: ignoring return value of 'setuid', declared with attribute warn_unused_result [-Wunused-result]
                 setuid (geteuid ());
                        ^
../../contrib/fuse-lib/mount-common.c: In function 'mtab_needs_update':
../../contrib/fuse-lib/mount-common.c:59:34: warning: ignoring return value of 'setreuid', declared with attribute warn_unused_result [-Wunused-result]
                         setreuid (0, -1);
                                  ^
../../contrib/fuse-lib/mount-common.c:64:34: warning: ignoring return value of 'setreuid', declared with attribute warn_unused_result [-Wunused-result]
                         setreuid (ruid, -1);
                                  ^
../../contrib/fuse-lib/mount-common.c: In function 'fuse_mnt_umount':
../../contrib/fuse-lib/mount-common.c:248:24: warning: ignoring return value of 'setuid', declared with attribute warn_unused_result [-Wunused-result]
                 setuid (geteuid ());
                        ^
fusermount.c: In function 'restore_privs':
fusermount.c:80:11: warning: ignoring return value of 'setfsuid', declared with attribute warn_unused_result [-Wunused-result]
   setfsuid(oldfsuid);
           ^
fusermount.c:81:11: warning: ignoring return value of 'setfsgid', declared with attribute warn_unused_result [-Wunused-result]
   setfsgid(oldfsgid);
           ^
  CCLD     fusermount-glusterfs
Making all in doc
Making all in extras
Making all in init.d
Making all in systemd
Making all in benchmarking
Making all in hook-scripts
Making all in ocf
Making all in LinuxRPM
To build RPMS run 'make glusterrpms'
Making all in geo-rep
Making all in cli
Making all in src
...
************************************************************


Expected results:

No warnings to appear for the compile process.
Comment 1 Lalatendu Mohanty 2014-11-08 01:25:12 EST
Compiled Master branch on Fedora20. Got below warnings.

logging.c:836:27: warning: ignoring return value of 'vasprintf', declared with attribute warn_unused_result [-Wunused-result]
logging.c:2131:27: warning: ignoring return value of 'vasprintf', declared with attribute warn_unused_result [-Wunused-result]
store.c:712:15: warning: ignoring return value of 'lockf', declared with attribute warn_unused_result [-Wunused-result]
bd-helper.c:907:18: warning: ignoring return value of 'readlink', declared with attribute warn_unused_result [-Wunused-result]
bd-helper.c:923:14: warning: ignoring return value of 'read', declared with attribute warn_unused_result [-Wunused-result]
../../../../contrib/fuse-lib/mount.c:376:25: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
../../../../contrib/fuse-lib/mount-common.c:108:24: warning: ignoring return value of 'setuid', declared with attribute warn_unused_result [-Wunused-result]
../../../../contrib/fuse-lib/mount-common.c:59:34: warning: ignoring return value of 'setreuid', declared with attribute warn_unused_result [-Wunused-result]
../../../../contrib/fuse-lib/mount-common.c:64:34: warning: ignoring return value of 'setreuid', declared with attribute warn_unused_result [-Wunused-result]
../../../../contrib/fuse-lib/mount-common.c:248:24: warning: ignoring return value of 'setuid', declared with attribute warn_unused_result [-Wunused-result]
glusterfsd.c:1281:23: warning: ignoring return value of 'write', declared with attribute warn_unused_result [-Wunused-result]
glusterfsd.c:1866:22: warning: ignoring return value of 'read', declared with attribute warn_unused_result [-Wunused-result]
../../contrib/fuse-lib/mount-common.c:108:24: warning: ignoring return value of 'setuid', declared with attribute warn_unused_result [-Wunused-result]
../../contrib/fuse-lib/mount-common.c:59:34: warning: ignoring return value of 'setreuid', declared with attribute warn_unused_result [-Wunused-result]
../../contrib/fuse-lib/mount-common.c:64:34: warning: ignoring return value of 'setreuid', declared with attribute warn_unused_result [-Wunused-result]
../../contrib/fuse-lib/mount-common.c:248:24: warning: ignoring return value of 'setuid', declared with attribute warn_unused_result [-Wunused-result]
*** Warning: Linking the executable glfsheal against the loadable module
libtool: install: warning: remember to run `libtool --finish /usr/lib64'
libtool: install: warning: relinking `libgfxdr.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64'
libtool: install: warning: relinking `libgfrpc.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64'
libtool: install: warning: relinking `socket.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/rpc-transport'
libtool: install: warning: relinking `rdma.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/rpc-transport'
libtool: install: warning: relinking `libgfapi.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64'
libtool: install: warning: relinking `api.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/mount'
libtool: install: warning: relinking `stripe.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/cluster'
libtool: install: warning: relinking `afr.la'
libtool: install: warning: relinking `pump.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/cluster'
libtool: install: warning: relinking `dht.la'
libtool: install: warning: relinking `nufa.la'
libtool: install: warning: relinking `switch.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/cluster'
libtool: install: warning: relinking `ec.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/cluster'
libtool: install: warning: relinking `posix.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/storage'
libtool: install: warning: relinking `bd.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/storage'
libtool: install: warning: relinking `addr.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/auth'
libtool: install: warning: relinking `login.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/auth'
libtool: install: warning: relinking `client.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/protocol'
libtool: install: warning: relinking `server.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/protocol'
libtool: install: warning: relinking `write-behind.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/performance'
libtool: install: warning: relinking `read-ahead.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/performance'
libtool: install: warning: relinking `readdir-ahead.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/performance'
libtool: install: warning: relinking `io-threads.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/performance'
libtool: install: warning: relinking `io-cache.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/performance'
libtool: install: warning: relinking `symlink-cache.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/testing/performance'
libtool: install: warning: relinking `quick-read.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/performance'
libtool: install: warning: relinking `md-cache.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/performance'
libtool: install: warning: relinking `open-behind.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/performance'
libtool: install: warning: relinking `trace.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/debug'
libtool: install: warning: relinking `error-gen.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/debug'
libtool: install: warning: relinking `io-stats.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/debug'
libtool: install: warning: relinking `locks.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/features'
libtool: install: warning: relinking `quota.la'
libtool: install: warning: relinking `quotad.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/features'
libtool: install: warning: relinking `read-only.la'
libtool: install: warning: relinking `worm.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/features'
libtool: install: warning: relinking `mac-compat.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/features'
libtool: install: warning: relinking `quiesce.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/features'
libtool: install: warning: relinking `marker.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/features'
libtool: install: warning: relinking `index.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/features'
libtool: install: warning: relinking `barrier.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/features'
libtool: install: warning: relinking `prot_dht.la'
libtool: install: warning: relinking `prot_client.la'
libtool: install: warning: relinking `prot_server.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/features'
libtool: install: warning: relinking `cdc.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/features'
libtool: install: warning: relinking `changelog.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/features'
libtool: install: warning: relinking `libgfchangelog.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64'
libtool: install: warning: relinking `gfid-access.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/features'
libtool: install: warning: relinking `glupy.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/features'
libtool: install: warning: relinking `qemu-block.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/features'
libtool: install: warning: relinking `snapview-client.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/features'
libtool: install: warning: relinking `snapview-server.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/features'
libtool: install: warning: relinking `rot-13.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/encryption'
libtool: install: warning: relinking `crypt.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/encryption'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/mount'
libtool: install: warning: relinking `server.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/nfs'
libtool: install: warning: relinking `glusterd.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/mgmt'
libtool: install: warning: relinking `posix-acl.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/system'
libtool: install: warning: relinking `template.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator/testing/features'
libtool: install: warning: relinking `meta.la'
libtool: install: warning: remember to run `libtool --finish /usr/lib64/glusterfs/3.7dev/xlator'
libtool: install: warning: `../../libglusterfs/src/libglusterfs.la' has not been installed in `/usr/lib64'
libtool: install: warning: `../../rpc/rpc-lib/src/libgfrpc.la' has not been installed in `/usr/lib64'
libtool: install: warning: `../../rpc/xdr/src/libgfxdr.la' has not been installed in `/usr/lib64'
libtool: install: warning: `/root/glusterfs/extras/LinuxRPM/rpmbuild/BUILD/glusterfs-3.7dev/libglusterfs/src/libglusterfs.la' has not been installed in `/usr/lib64'
libtool: install: warning: `../../libglusterfs/src/libglusterfs.la' has not been installed in `/usr/lib64'
libtool: install: warning: `../../libglusterfs/src/libglusterfs.la' has not been installed in `/usr/lib64'
libtool: install: warning: `../../rpc/xdr/src/libgfxdr.la' has not been installed in `/usr/lib64'
libtool: install: warning: `../../rpc/rpc-lib/src/libgfrpc.la' has not been installed in `/usr/lib64'
libtool: install: warning: `/root/glusterfs/extras/LinuxRPM/rpmbuild/BUILD/glusterfs-3.7dev/libglusterfs/src/libglusterfs.la' has not been installed in `/usr/lib64'
libtool: install: warning: `../../libglusterfs/src/libglusterfs.la' has not been installed in `/usr/lib64'
libtool: install: warning: `../../rpc/xdr/src/libgfxdr.la' has not been installed in `/usr/lib64'
libtool: install: warning: `../../rpc/rpc-lib/src/libgfrpc.la' has not been installed in `/usr/lib64'
libtool: install: warning: `../../api/src/libgfapi.la' has not been installed in `/usr/lib64'
libtool: install: warning: `/root/glusterfs/extras/LinuxRPM/rpmbuild/BUILD/glusterfs-3.7dev/rpc/rpc-lib/src/libgfrpc.la' has not been installed in `/usr/lib64'
libtool: install: warning: `/root/glusterfs/extras/LinuxRPM/rpmbuild/BUILD/glusterfs-3.7dev/rpc/xdr/src/libgfxdr.la' has not been installed in `/usr/lib64'
libtool: install: warning: `../../xlators/cluster/afr/src/afr.la' has not been installed in `/usr/lib64/glusterfs/3.7dev/xlator/cluster'
libtool: install: warning: `/root/glusterfs/extras/LinuxRPM/rpmbuild/BUILD/glusterfs-3.7dev/libglusterfs/src/libglusterfs.la' has not been installed in `/usr/lib64'
libtool: install: warning: `../../libglusterfs/src/libglusterfs.la' has not been installed in `/usr/lib64'
warning: File listed twice: /var/lib/glusterd/glusterd.info
warning: File listed twice: /var/lib/glusterd/glustershd
warning: File listed twice: /var/lib/glusterd/groups
warning: File listed twice: /var/lib/glusterd/groups/virt
warning: File listed twice: /var/lib/glusterd/hooks
warning: File listed twice: /var/lib/glusterd/hooks/1
warning: File listed twice: /var/lib/glusterd/hooks/1/add-brick
warning: File listed twice: /var/lib/glusterd/hooks/1/add-brick/post
warning: File listed twice: /var/lib/glusterd/hooks/1/add-brick/post/disabled-quota-root-xattr-heal.sh
warning: File listed twice: /var/lib/glusterd/hooks/1/add-brick/pre
warning: File listed twice: /var/lib/glusterd/hooks/1/add-brick/pre/S28Quota-enable-root-xattr-heal.sh
warning: File listed twice: /var/lib/glusterd/hooks/1/create
warning: File listed twice: /var/lib/glusterd/hooks/1/create/post
warning: File listed twice: /var/lib/glusterd/hooks/1/create/pre
warning: File listed twice: /var/lib/glusterd/hooks/1/delete
warning: File listed twice: /var/lib/glusterd/hooks/1/delete/post
warning: File listed twice: /var/lib/glusterd/hooks/1/delete/pre
warning: File listed twice: /var/lib/glusterd/hooks/1/remove-brick
warning: File listed twice: /var/lib/glusterd/hooks/1/remove-brick/post
warning: File listed twice: /var/lib/glusterd/hooks/1/remove-brick/pre
warning: File listed twice: /var/lib/glusterd/hooks/1/reset/post/S31ganesha-reset.sh
warning: File listed twice: /var/lib/glusterd/hooks/1/set
warning: File listed twice: /var/lib/glusterd/hooks/1/set/post
warning: File listed twice: /var/lib/glusterd/hooks/1/set/post/S30samba-set.sh
warning: File listed twice: /var/lib/glusterd/hooks/1/set/post/S31ganesha-set.sh
warning: File listed twice: /var/lib/glusterd/hooks/1/set/pre
warning: File listed twice: /var/lib/glusterd/hooks/1/start
warning: File listed twice: /var/lib/glusterd/hooks/1/start/post
warning: File listed twice: /var/lib/glusterd/hooks/1/start/post/S29CTDBsetup.sh
warning: File listed twice: /var/lib/glusterd/hooks/1/start/post/S30samba-start.sh
warning: File listed twice: /var/lib/glusterd/hooks/1/start/pre
warning: File listed twice: /var/lib/glusterd/hooks/1/stop
warning: File listed twice: /var/lib/glusterd/hooks/1/stop/post
warning: File listed twice: /var/lib/glusterd/hooks/1/stop/pre
warning: File listed twice: /var/lib/glusterd/hooks/1/stop/pre/S29CTDB-teardown.sh
warning: File listed twice: /var/lib/glusterd/hooks/1/stop/pre/S30samba-stop.sh
warning: File listed twice: /var/lib/glusterd/nfs
warning: File listed twice: /var/lib/glusterd/nfs/nfs-server.vol
warning: File listed twice: /var/lib/glusterd/nfs/run
warning: File listed twice: /var/lib/glusterd/nfs/run/nfs.pid
warning: File listed twice: /var/lib/glusterd/options
warning: File listed twice: /var/lib/glusterd/peers
warning: File listed twice: /var/lib/glusterd/vols
Comment 2 Anand Avati 2014-11-08 04:03:53 EST
REVIEW: http://review.gluster.org/9078 (store: fix compile warning in gf_store_unlock()) posted (#1) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 3 Anand Avati 2014-11-08 04:12:39 EST
REVIEW: http://review.gluster.org/9078 (store: fix compile warning in gf_store_unlock()) posted (#2) for review on master by Niels de Vos (ndevos@redhat.com)
Comment 4 Niels de Vos 2014-11-09 05:25:03 EST
Added the "Tracking" keyword because more patches will be needed.

Please split patches in logical parts, or per (grouped) filename. It is easier to review/merge multiple unrelated small changes than one spanning different areas of the code.
Comment 5 Anand Avati 2014-11-11 05:50:49 EST
COMMIT: http://review.gluster.org/9078 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 98f82412986339626bcd1218ff1da0fbb2664d6d
Author: Niels de Vos <ndevos@redhat.com>
Date:   Sat Nov 8 09:47:10 2014 +0100

    store: fix compile warning in gf_store_unlock()
    
    The following warning is logged when building on Fedora 20:
    
      store.c:712:15: warning: ignoring return value of 'lockf', declared
      with attribute warn_unused_result [-Wunused-result]
    
    It does not really matter if unlocking fails, close() will release the
    lock in any case. But, log the error in case close() can not finish and
    hangs indefinitely (is that possible?).
    
    Change-Id: If6c832f9aec10da6c1adb761b13b58e22d38a065
    BUG: 1009076
    Signed-off-by: Niels de Vos <ndevos@redhat.com>
    Reviewed-on: http://review.gluster.org/9078
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    Reviewed-by: Krishnan Parthasarathi <kparthas@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

Note You need to log in before you can comment on or make changes to this bug.